grid {base} | R Documentation

## Add Grid to a Plot

### Description

`grid` adds an `nx` by `ny` rectangular grid to an existing plot, using lines of type `lty` and color `col`.

If more fine tuning is required, use `abline(h = ., v = .)` directly.

### Usage

    grid(nx = NULL, ny = NULL, col = "lightgray", lty = "dotted")

### Arguments

`nx,ny` | number of cells of the grid in x and y direction. Defaults to the number of tick marks on the corresponding axis.
`col` | character or (integer) numeric; color of the grid lines.
`lty` | character or (integer) numeric; line type of the grid lines.

### See Also

`plot`, `abline`, `lines`, `points`.

### Examples

    data(iris)
    ## maybe change the desired number of tick marks:  par(lab=c(mx,my,7))
    plot(iris$Sepal.L, iris$Sepal.W, col = rep(1:3, rep(50, 3)),
         xlim = c(4, 8), ylim = c(2, 4.5), panel.first = grid())

[Package Contents]